//
//  ByteEnumerator.h
//  HexFiend
//
//  Created by us on 2/28/05.
//  Copyright 2004-2006 ridiculous_fish. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface ByteEnumerator : NSObject {  //abstract class for byte enumeration

}

//returns the next byte, or -1 if we're at the end
- (int)nextByte;

//move the next byte to be read indicator forwards by amount
//if this would move us past the end, move us to the end
- (void)scanForwardsBy:(unsigned long long)amount;

//move indicator backwards by amount
//if this would move us past the beginning, move us to the beginning
- (void)scanBackwardsBy:(unsigned long long)amount;

@end
